patches and low-level development discussion
 help / color / mirror / code / Atom feed
* [PATCH 1/2] scripts/make-gpt.sh: set -o pipefail
@ 2025-11-28 21:17 Alyssa Ross
  2025-11-28 21:44 ` [PATCH v3 2/2] scripts/make-gpt.sh: allow setting partition size Alyssa Ross
  2025-11-29 11:16 ` [PATCH 1/2] scripts/make-gpt.sh: set -o pipefail Alyssa Ross
  0 siblings, 2 replies; 4+ messages in thread
From: Alyssa Ross @ 2025-11-28 21:17 UTC (permalink / raw)
  To: devel; +Cc: Demi Marie Obenour

Wasn't POSIX at the time this script was originally written!

Suggested-by: Demi Marie Obenour <demiobenour@gmail.com>
Link: https://spectrum-os.org/lists/archives/spectrum-devel/20251127174054.2056835-2-hi@alyssa.is/
Signed-off-by: Alyssa Ross <hi@alyssa.is>
---
 scripts/make-gpt.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/scripts/make-gpt.sh b/scripts/make-gpt.sh
index 3cae441..e39828b 100755
--- a/scripts/make-gpt.sh
+++ b/scripts/make-gpt.sh
@@ -1,4 +1,4 @@
-#!/bin/sh -eu
+#!/bin/sh --
 #
 # SPDX-FileCopyrightText: 2021-2023 Alyssa Ross <hi@alyssa.is>
 # SPDX-FileCopyrightText: 2022 Unikie
@@ -6,6 +6,8 @@
 #
 # usage: make-gpt.sh GPT_PATH PATH:PARTTYPE[:PARTUUID[:PARTLABEL]]...
 
+set -euo pipefail
+
 ONE_MiB=1048576
 
 # Prints the number of 1MiB blocks required to store the file named

base-commit: d76e9b29aea9f31238d07e21db50d3fe6a80da5a
-- 
2.51.0


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2025-11-29 11:16 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-11-28 21:17 [PATCH 1/2] scripts/make-gpt.sh: set -o pipefail Alyssa Ross
2025-11-28 21:44 ` [PATCH v3 2/2] scripts/make-gpt.sh: allow setting partition size Alyssa Ross
2025-11-29 11:16   ` Alyssa Ross
2025-11-29 11:16 ` [PATCH 1/2] scripts/make-gpt.sh: set -o pipefail Alyssa Ross

Code repositories for project(s) associated with this public inbox

	https://spectrum-os.org/git/crosvm
	https://spectrum-os.org/git/doc
	https://spectrum-os.org/git/mktuntap
	https://spectrum-os.org/git/nixpkgs
	https://spectrum-os.org/git/spectrum
	https://spectrum-os.org/git/ucspi-vsock
	https://spectrum-os.org/git/www

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).